Bug 570204 - Digikam crashes saving from editor
Summary: Digikam crashes saving from editor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-03 16:01 UTC by Russell Harrison
Modified: 2010-03-18 03:38 UTC (History)
8 users (show)

Fixed In Version: kdelibs-4.4.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-18 03:15:40 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 222974 None None None Never

Description Russell Harrison 2010-03-03 16:01:58 UTC
Description of problem:
After editing a picture in the editor digikam crashes while saving the file. Either overwrite or saving to a new name can produce the crash. The crash can be reproduced some of the time.

Original bug posted upstream.
https://bugs.kde.org/show_bug.cgi?id=228562

Version-Release number of selected component (if applicable):
$ rpm -q kdelibs
kdelibs-4.4.0-9.fc12.i686

Additional info:
This bug has most likely been fixed upstream for KDE 4.4.1 released 2010-03-02.

Digikam crashes while overwriting file [QString::operator==, KDirWatchPrivate::Entry::findSubEntry, KDirWatchPrivate::inotifyEventReceived]
https://bugs.kde.org/show_bug.cgi?id=222974#c28

Comment 1 Kevin Kofler 2010-03-03 16:42:17 UTC
This should indeed be fixed in 4.4.1, we're already working on providing that update.

Comment 2 Russell Harrison 2010-03-05 19:47:01 UTC
(In reply to comment #1)
> This should indeed be fixed in 4.4.1, we're already working on providing that
> update.    

Great news.  Do you have an estimate on when we might see testable packages in koji?  My wife is working on vacation pictures and gives me a mean look every time this happens. ;-)

Comment 3 Rex Dieter 2010-03-05 19:58:27 UTC
A conservative estimate would be to have something 4.4.1-related in -testing by the end of next week.

Comment 4 Fedora Update System 2010-03-07 01:22:42 UTC
kde-l10n-4.4.1-2.fc13,kdeaccessibility-4.4.1-1.fc13,kdeadmin-4.4.1-1.fc13,kdeartwork-4.4.1-1.fc13,kdebase-4.4.1-1.fc13,kdebase-runtime-4.4.1-1.fc13,kdebase-workspace-4.4.1-1.fc13,kdebindings-4.4.1-1.fc13,kdeedu-4.4.1-4.fc13,kdegames-4.4.1-1.fc13,kdegraphics-4.4.1-1.fc13,kdelibs-4.4.1-1.fc13,kdemultimedia-4.4.1-1.fc13,kdenetwork-4.4.1-1.fc13,kdepim-4.4.1-2.fc13,kdepim-runtime-4.4.1-1.fc13,kdepimlibs-4.4.1-2.fc13,kdeplasma-addons-4.4.1-1.fc13,kdesdk-4.4.1-1.fc13,kdetoys-4.4.1-1.fc13,kdeutils-4.4.1-1.fc13,oxygen-icon-theme-4.4.1-1.fc13,soprano-2.4.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kde-l10n-4.4.1-2.fc13,kdeaccessibility-4.4.1-1.fc13,kdeadmin-4.4.1-1.fc13,kdeartwork-4.4.1-1.fc13,kdebase-4.4.1-1.fc13,kdebase-runtime-4.4.1-1.fc13,kdebase-workspace-4.4.1-1.fc13,kdebindings-4.4.1-1.fc13,kdeedu-4.4.1-4.fc13,kdegames-4.4.1-1.fc13,kdegraphics-4.4.1-1.fc13,kdelibs-4.4.1-1.fc13,kdemultimedia-4.4.1-1.fc13,kdenetwork-4.4.1-1.fc13,kdepim-4.4.1-2.fc13,kdepim-runtime-4.4.1-1.fc13,kdepimlibs-4.4.1-2.fc13,kdeplasma-addons-4.4.1-1.fc13,kdesdk-4.4.1-1.fc13,kdetoys-4.4.1-1.fc13,kdeutils-4.4.1-1.fc13,oxygen-icon-theme-4.4.1-1.fc13,soprano-2.4.1-1.fc13

Comment 5 Fedora Update System 2010-03-07 01:26:14 UTC
kde-l10n-4.4.1-2.fc12,kdeaccessibility-4.4.1-1.fc12,kdeadmin-4.4.1-1.fc12,kdeartwork-4.4.1-1.fc12,kdebase-4.4.1-1.fc12,kdebase-runtime-4.4.1-1.fc12,kdebase-workspace-4.4.1-1.fc12,kdebindings-4.4.1-1.fc12,kdeedu-4.4.1-4.fc12,kdegames-4.4.1-1.fc12,kdegraphics-4.4.1-1.fc12,kdelibs-4.4.1-1.fc12,kdemultimedia-4.4.1-1.fc12,kdenetwork-4.4.1-1.fc12,kdepim-4.4.1-2.fc12,kdepim-runtime-4.4.1-1.fc12,kdepimlibs-4.4.1-2.fc12,kdeplasma-addons-4.4.1-1.fc12,kdesdk-4.4.1-1.fc12,kdetoys-4.4.1-1.fc12,kdeutils-4.4.1-1.fc12,oxygen-icon-theme-4.4.1-1.fc12,soprano-2.4.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kde-l10n-4.4.1-2.fc12,kdeaccessibility-4.4.1-1.fc12,kdeadmin-4.4.1-1.fc12,kdeartwork-4.4.1-1.fc12,kdebase-4.4.1-1.fc12,kdebase-runtime-4.4.1-1.fc12,kdebase-workspace-4.4.1-1.fc12,kdebindings-4.4.1-1.fc12,kdeedu-4.4.1-4.fc12,kdegames-4.4.1-1.fc12,kdegraphics-4.4.1-1.fc12,kdelibs-4.4.1-1.fc12,kdemultimedia-4.4.1-1.fc12,kdenetwork-4.4.1-1.fc12,kdepim-4.4.1-2.fc12,kdepim-runtime-4.4.1-1.fc12,kdepimlibs-4.4.1-2.fc12,kdeplasma-addons-4.4.1-1.fc12,kdesdk-4.4.1-1.fc12,kdetoys-4.4.1-1.fc12,kdeutils-4.4.1-1.fc12,oxygen-icon-theme-4.4.1-1.fc12,soprano-2.4.1-1.fc12

Comment 6 Fedora Update System 2010-03-07 01:28:34 UTC
kde-l10n-4.4.1-2.fc11,kdeaccessibility-4.4.1-1.fc11,kdeadmin-4.4.1-1.fc11,kdeartwork-4.4.1-1.fc11,kdebase-4.4.1-1.fc11,kdebase-runtime-4.4.1-1.fc11,kdebase-workspace-4.4.1-1.fc11,kdebindings-4.4.1-1.fc11,kdeedu-4.4.1-4.fc11,kdegames-4.4.1-1.fc11,kdegraphics-4.4.1-1.fc11,kdelibs-4.4.1-1.fc11,kdemultimedia-4.4.1-1.fc11,kdenetwork-4.4.1-1.fc11,kdepim-4.4.1-2.fc11,kdepim-runtime-4.4.1-1.fc11,kdepimlibs-4.4.1-2.fc11,kdeplasma-addons-4.4.1-1.fc11,kdesdk-4.4.1-1.fc11,kdetoys-4.4.1-1.fc11,kdeutils-4.4.1-1.fc11,oxygen-icon-theme-4.4.1-1.fc11,soprano-2.4.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kde-l10n-4.4.1-2.fc11,kdeaccessibility-4.4.1-1.fc11,kdeadmin-4.4.1-1.fc11,kdeartwork-4.4.1-1.fc11,kdebase-4.4.1-1.fc11,kdebase-runtime-4.4.1-1.fc11,kdebase-workspace-4.4.1-1.fc11,kdebindings-4.4.1-1.fc11,kdeedu-4.4.1-4.fc11,kdegames-4.4.1-1.fc11,kdegraphics-4.4.1-1.fc11,kdelibs-4.4.1-1.fc11,kdemultimedia-4.4.1-1.fc11,kdenetwork-4.4.1-1.fc11,kdepim-4.4.1-2.fc11,kdepim-runtime-4.4.1-1.fc11,kdepimlibs-4.4.1-2.fc11,kdeplasma-addons-4.4.1-1.fc11,kdesdk-4.4.1-1.fc11,kdetoys-4.4.1-1.fc11,kdeutils-4.4.1-1.fc11,oxygen-icon-theme-4.4.1-1.fc11,soprano-2.4.1-1.fc11

Comment 7 Fedora Update System 2010-03-09 03:12:55 UTC
kde-l10n-4.4.1-2.fc12, kdeaccessibility-4.4.1-1.fc12, kdeadmin-4.4.1-1.fc12, kdeartwork-4.4.1-1.fc12, kdebase-4.4.1-1.fc12, kdebase-runtime-4.4.1-1.fc12, kdebase-workspace-4.4.1-1.fc12, kdebindings-4.4.1-1.fc12, kdeedu-4.4.1-4.fc12, kdegames-4.4.1-1.fc12, kdegraphics-4.4.1-1.fc12, kdelibs-4.4.1-1.fc12, kdemultimedia-4.4.1-1.fc12, kdenetwork-4.4.1-1.fc12, kdepim-4.4.1-2.fc12, kdepim-runtime-4.4.1-1.fc12, kdepimlibs-4.4.1-2.fc12, kdeplasma-addons-4.4.1-1.fc12, kdesdk-4.4.1-1.fc12, kdetoys-4.4.1-1.fc12, kdeutils-4.4.1-1.fc12, oxygen-icon-theme-4.4.1-1.fc12, soprano-2.4.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-l10n kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdegraphics kdelibs kdemultimedia kdenetwork kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils oxygen-icon-theme soprano'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kde-l10n-4.4.1-2.fc12,kdeaccessibility-4.4.1-1.fc12,kdeadmin-4.4.1-1.fc12,kdeartwork-4.4.1-1.fc12,kdebase-4.4.1-1.fc12,kdebase-runtime-4.4.1-1.fc12,kdebase-workspace-4.4.1-1.fc12,kdebindings-4.4.1-1.fc12,kdeedu-4.4.1-4.fc12,kdegames-4.4.1-1.fc12,kdegraphics-4.4.1-1.fc12,kdelibs-4.4.1-1.fc12,kdemultimedia-4.4.1-1.fc12,kdenetwork-4.4.1-1.fc12,kdepim-4.4.1-2.fc12,kdepim-runtime-4.4.1-1.fc12,kdepimlibs-4.4.1-2.fc12,kdeplasma-addons-4.4.1-1.fc12,kdesdk-4.4.1-1.fc12,kdetoys-4.4.1-1.fc12,kdeutils-4.4.1-1.fc12,oxygen-icon-theme-4.4.1-1.fc12,soprano-2.4.1-1.fc12

Comment 8 Fedora Update System 2010-03-11 07:22:44 UTC
kde-l10n-4.4.1-2.fc13, kdeaccessibility-4.4.1-1.fc13, kdeadmin-4.4.1-1.fc13, kdeartwork-4.4.1-1.fc13, kdebase-4.4.1-1.fc13, kdebase-runtime-4.4.1-1.fc13, kdebase-workspace-4.4.1-1.fc13, kdebindings-4.4.1-1.fc13, kdeedu-4.4.1-4.fc13, kdegames-4.4.1-1.fc13, kdegraphics-4.4.1-1.fc13, kdelibs-4.4.1-1.fc13, kdemultimedia-4.4.1-1.fc13, kdenetwork-4.4.1-1.fc13, kdepim-4.4.1-2.fc13, kdepim-runtime-4.4.1-1.fc13, kdepimlibs-4.4.1-2.fc13, kdeplasma-addons-4.4.1-1.fc13, kdesdk-4.4.1-1.fc13, kdetoys-4.4.1-1.fc13, kdeutils-4.4.1-1.fc13, oxygen-icon-theme-4.4.1-1.fc13, soprano-2.4.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Russell Harrison 2010-03-12 12:30:40 UTC
I have been using this update and it does seem to fix the issue causing digiKam to crash.  Thanks so much for the quick release!

Comment 10 Fedora Update System 2010-03-13 02:32:25 UTC
kde-l10n-4.4.1-2.fc12, kdeaccessibility-4.4.1-1.fc12, kdeadmin-4.4.1-1.fc12, kdeartwork-4.4.1-1.fc12, kdebase-4.4.1-1.fc12, kdebase-runtime-4.4.1-1.fc12, kdebindings-4.4.1-1.fc12, kdeedu-4.4.1-4.fc12, kdegames-4.4.1-1.fc12, kdegraphics-4.4.1-1.fc12, kdelibs-4.4.1-1.fc12, kdemultimedia-4.4.1-1.fc12, kdenetwork-4.4.1-1.fc12, kdepim-4.4.1-2.fc12, kdepim-runtime-4.4.1-1.fc12, kdepimlibs-4.4.1-2.fc12, kdeplasma-addons-4.4.1-1.fc12, kdesdk-4.4.1-1.fc12, kdetoys-4.4.1-1.fc12, kdeutils-4.4.1-1.fc12, oxygen-icon-theme-4.4.1-1.fc12, kdebase-workspace-4.4.1-2.fc12, soprano-2.4.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-l10n kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebindings kdeedu kdegames kdegraphics kdelibs kdemultimedia kdenetwork kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils oxygen-icon-theme kdebase-workspace soprano'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kde-l10n-4.4.1-2.fc12,kdeaccessibility-4.4.1-1.fc12,kdeadmin-4.4.1-1.fc12,kdeartwork-4.4.1-1.fc12,kdebase-4.4.1-1.fc12,kdebase-runtime-4.4.1-1.fc12,kdebase-workspace-4.4.1-2.fc12,kdebindings-4.4.1-1.fc12,kdeedu-4.4.1-4.fc12,kdegames-4.4.1-1.fc12,kdegraphics-4.4.1-1.fc12,kdelibs-4.4.1-1.fc12,kdemultimedia-4.4.1-1.fc12,kdenetwork-4.4.1-1.fc12,kdepim-4.4.1-2.fc12,kdepim-runtime-4.4.1-1.fc12,kdepimlibs-4.4.1-2.fc12,kdeplasma-addons-4.4.1-1.fc12,kdesdk-4.4.1-1.fc12,kdetoys-4.4.1-1.fc12,kdeutils-4.4.1-1.fc12,oxygen-icon-theme-4.4.1-1.fc12,soprano-2.4.1-2.fc12

Comment 11 Fedora Update System 2010-03-18 03:15:32 UTC
kde-l10n-4.4.1-2.fc12, kdeaccessibility-4.4.1-1.fc12, kdeadmin-4.4.1-1.fc12, kdeartwork-4.4.1-1.fc12, kdebase-4.4.1-1.fc12, kdebase-runtime-4.4.1-1.fc12, kdebindings-4.4.1-1.fc12, kdeedu-4.4.1-4.fc12, kdegames-4.4.1-1.fc12, kdegraphics-4.4.1-1.fc12, kdelibs-4.4.1-1.fc12, kdemultimedia-4.4.1-1.fc12, kdenetwork-4.4.1-1.fc12, kdepim-4.4.1-2.fc12, kdepim-runtime-4.4.1-1.fc12, kdepimlibs-4.4.1-2.fc12, kdeplasma-addons-4.4.1-1.fc12, kdesdk-4.4.1-1.fc12, kdetoys-4.4.1-1.fc12, kdeutils-4.4.1-1.fc12, oxygen-icon-theme-4.4.1-1.fc12, kdebase-workspace-4.4.1-2.fc12, soprano-2.4.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-03-18 03:33:55 UTC
kde-l10n-4.4.1-2.fc11, kdeaccessibility-4.4.1-1.fc11, kdeadmin-4.4.1-1.fc11, kdeartwork-4.4.1-1.fc11, kdebase-4.4.1-1.fc11, kdebase-runtime-4.4.1-1.fc11, kdebindings-4.4.1-1.fc11, kdeedu-4.4.1-4.fc11, kdegames-4.4.1-1.fc11, kdegraphics-4.4.1-1.fc11, kdelibs-4.4.1-1.fc11, kdemultimedia-4.4.1-1.fc11, kdenetwork-4.4.1-1.fc11, kdepim-4.4.1-2.fc11, kdepim-runtime-4.4.1-1.fc11, kdepimlibs-4.4.1-2.fc11, kdeplasma-addons-4.4.1-1.fc11, kdesdk-4.4.1-1.fc11, kdetoys-4.4.1-1.fc11, kdeutils-4.4.1-1.fc11, oxygen-icon-theme-4.4.1-1.fc11, kdebase-workspace-4.4.1-2.fc11, soprano-2.4.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.